%define		pkgname	check_multi
Summary:	Multi purpose wrapper plugin for Nagios/Icinga
Name:		nagios-plugins-%{pkgname}
Version:	0.26
Release:	5.10
Group:		System/Monitoring
URL:		http://my-plugin.de/wiki/projects/%{pkgname}/start
License:	GNU GPL version 2
Source:		%{pkgname}-stable-%{version}.tar.bz2
BuildRequires:	perl ethtool nagios-plugins
Patch0:		0274b746e6350ac80b9b4d6a2c89543f4da621b9.patch
Requires:	perl ethtool
BuildArch:	noarch
AutoReqProv:	off
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
check_multi is a multi purpose wrapper plugin which takes benefit of the Nagios
3.x capability to display multiple lines of plugin output. It calls multiple
child plugins and displays their output in the long_plugin_output. A summary is
given in the standard plugin output. The child return code with the highest
severity becomes the parent (check_multi) plugin return code.

The configuration is very simple: a NRPE-stylish config file contains a tag for
each child plugin and then the check command line.

check_multi can cover complex Business Process Views - using a builtin state
evaluation mechanism. The second benefit is cluster monitoring with no need for
extra services. All you need is provided by check_multi.


%prep
%setup -n %{pkgname}-%{version}
%patch0 -p1

%build
%configure --prefix=/usr/lib/nagios/plugins --sysconfdir=/etc --libexecdir=/usr/lib/nagios/plugins

%install
make install-config DESTDIR=$RPM_BUILD_ROOT
cd plugins/
make install DESTDIR=$RPM_BUILD_ROOT
cd ..
# install doc files
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/
for f in Changelog CM_VERSION LICENSE THANKS README;
	do cp $f $RPM_BUILD_ROOT%{_docdir}/%{name}/
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# binaries
%dir /usr/lib/nagios
%dir /usr/lib/nagios/plugins
/usr/lib/nagios/plugins/check_multi
# configs
%dir %{_sysconfdir}/check_multi/
%config(noreplace) %{_sysconfdir}/check_multi/*
# docs
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*


%changelog
* Sat Nov 19 2011 - Sven Uebelacker <sven@uebelacker.net> - 0.26
- updating to version 0.26
- fixed macro handling for livestatus command
- added perfdata for statusdat command
- fixed perfdata column for livestatus command
- fixed proper encoding of XML state elements
- numerical tags are not allowed
- fixed macro handling: complain about non-existing macros and remove
- inventory parameter: reduced XML for feed_passive
- provide error message if no HOSTNAME is specified for passive service definitions
- fixed hostname treatment for PNP urls
- spaces in tags and macros are not allowed any more
- contrib: notify_html_service.sh uses mime multipart elements
- fixed trimming blanks at line end with continuation lines
- cumulate perfdata handling fixed
- child timeout increased to 11s - no collision with 10s default
- fixed handling of non existing child state rules
- child checks state rules reorganized
- statusdat checks now only consider hard states
- print matching state rule in long plugin output
- feed_passive with perfdata [ plugin ] at the end
- better perfdata error output for invalid UOM

* Tue Oct 13 2011 - Sven Uebelacker <sven@uebelacker.net> - 0.25
- initial openSUSE port of version 0.25
